local createCompositionMuha_fly_to_pautina = nil
local createCompositionmuha_sit_on_pautina = nil
local createCompositionMuha_sit_on_pautina_and_try_up = nil
local createCompositionPautina_move_final = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/06_garden/hp/anim/z_web/"
---------------------------------------------------------------------------------------
function Loader_06_HP_Zoom_Web_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionMuha_fly_to_pautina,		                'fly',		        0,0, 10, 320,240, false),
    			CreateCompositionLoader(createCompositionMuha_sit_on_pautina_and_try_up,		    'idle',		        0,0, 10, 320,240, true),
		},
		{
			function (element, textureName)
			    element:SetFrameSynchronizationActive(true)
				if textureName == "Muha_fly.png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,68,67)
					anim:SetSpeed(30)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "Muha_in_pautina.png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,68,67)
					anim:SetSpeed(15)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
				if textureName == "Pautina_move_final_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(8)
					anim:SetTextureRect(0,0,91,77)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionMuha_fly_to_pautina = function()
	local compositionMuha_fly_to_pautina = CreateCompositionSequence()
	local compositionDuration = 1.33333333333333
	compositionMuha_fly_to_pautina:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Muha_fly.png")
	element:SetName("Layer_1")
	compositionMuha_fly_to_pautina:AddElement(element)
	element:SetHotSpot(34, 33.5)
	element:SetParentElement(compositionMuha_fly_to_pautina)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.33333333333333)
	effector:SetKey(_TRACK_X, 0, 683.5)
	effector:SetKey(_TRACK_Y, 0, 123.5)
	effector:SetKey(_TRACK_X, 1.16666666666667, 320)
	effector:SetKey(_TRACK_Y, 1.16666666666667, 221)
	effector:SetKey(_TRACK_X, 1.20833333333333, 318)
	effector:SetKey(_TRACK_Y, 1.20833333333333, 221)
	effector:SetKey(_TRACK_X, 1.29166666666667, 320)
	effector:SetKey(_TRACK_Y, 1.29166666666667, 221)
	effector:SetKey(_TRACK_A, 0, 0.12589034070882)
	effector:SetKey(_TRACK_A, 1.16666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionPautina_move_final()
	element:SetName("Layer_2")
	compositionMuha_fly_to_pautina:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionMuha_fly_to_pautina)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(1, 1.33333333333333)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."pautinasmall.png")
	element:SetName("Layer_3")
	compositionMuha_fly_to_pautina:AddElement(element)
	element:SetHotSpot(40.5, 34.5)
	element:SetParentElement(compositionMuha_fly_to_pautina)
	element:SetXY(318.25, 225.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.33333333333333)
	effector:SetKey(_TRACK_O, 0.95833333333333, 1)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:SetKey(_TRACK_O, 1.29166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."pautinabig.png")
	element:SetName("Layer_4")
	compositionMuha_fly_to_pautina:AddElement(element)
	element:SetHotSpot(170.5, 123.5)
	element:SetParentElement(compositionMuha_fly_to_pautina)
	element:SetXY(317.5, 208.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.33333333333333)
	effector:Play()
 
	compositionMuha_fly_to_pautina:Play()
 
	return compositionMuha_fly_to_pautina
end
 
createCompositionmuha_sit_on_pautina = function()
	local compositionmuha_sit_on_pautina = CreateCompositionSequence()
	local compositionDuration = 3.66666666666667
	compositionmuha_sit_on_pautina:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Muha_fly_00003.png")
	element:SetName("Layer_1")
	compositionmuha_sit_on_pautina:AddElement(element)
	element:SetHotSpot(34, 33.5)
	element:SetParentElement(compositionmuha_sit_on_pautina)
	element:SetXY(320, 221)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.66666666666667, 3.66666666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Muha_fly_00003.png")
	element:SetName("Layer_2")
	compositionmuha_sit_on_pautina:AddElement(element)
	element:SetHotSpot(34, 33.5)
	element:SetParentElement(compositionmuha_sit_on_pautina)
	element:SetXY(320, 221)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.91666666666667, 2.41666666666667)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Muha_fly_00003.png")
	element:SetName("Layer_3")
	compositionmuha_sit_on_pautina:AddElement(element)
	element:SetHotSpot(34, 33.5)
	element:SetParentElement(compositionmuha_sit_on_pautina)
	element:SetXY(320, 221)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.66666666666667)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Muha_in_pautina.png")
	element:SetName("Layer_4")
	compositionmuha_sit_on_pautina:AddElement(element)
	element:SetHotSpot(34, 33.5)
	element:SetParentElement(compositionmuha_sit_on_pautina)
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.41666666666667, 2.68333333333333)
	effector:SetKey(_TRACK_X, 2.41666666666667, 320)
	effector:SetKey(_TRACK_Y, 2.41666666666667, 221)
	effector:SetKey(_TRACK_X, 2.5, 315)
	effector:SetKey(_TRACK_Y, 2.5, 225)
	effector:SetKey(_TRACK_X, 2.625, 320)
	effector:SetKey(_TRACK_Y, 2.625, 221)
	effector:SetKey(_TRACK_A, 2.41666666666667, 0)
	effector:SetKey(_TRACK_A, 2.625, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Muha_in_pautina.png")
	element:SetName("Layer_5")
	compositionmuha_sit_on_pautina:AddElement(element)
	element:SetHotSpot(34, 33.5)
	element:SetParentElement(compositionmuha_sit_on_pautina)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.66666666666667, 0.93333333333333)
	effector:SetKey(_TRACK_X, 0.66666666666667, 320)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 221)
	effector:SetKey(_TRACK_X, 0.75, 315)
	effector:SetKey(_TRACK_Y, 0.75, 225)
	effector:SetKey(_TRACK_X, 0.875, 320)
	effector:SetKey(_TRACK_Y, 0.875, 221)
	effector:SetKey(_TRACK_A, 0.66666666666667, 0)
	effector:SetKey(_TRACK_A, 0.875, 0)
	effector:Play()
 
	compositionmuha_sit_on_pautina:Play()
 
	return compositionmuha_sit_on_pautina
end
 
createCompositionMuha_sit_on_pautina_and_try_up = function()
	local compositionMuha_sit_on_pautina_and_try_up = CreateCompositionSequence()
	local compositionDuration = 3.66666666666667
	compositionMuha_sit_on_pautina_and_try_up:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionmuha_sit_on_pautina()
	element:SetName("Layer_1")
	compositionMuha_sit_on_pautina_and_try_up:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionMuha_sit_on_pautina_and_try_up)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.66666666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionPautina_move_final()
	element:SetName("Layer_2")
	compositionMuha_sit_on_pautina_and_try_up:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionMuha_sit_on_pautina_and_try_up)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.45833333333333, 2.79166666666667)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionPautina_move_final()
	element:SetName("Layer_3")
	compositionMuha_sit_on_pautina_and_try_up:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionMuha_sit_on_pautina_and_try_up)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.66666666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."pautinasmall.png")
	element:SetName("Layer_4")
	compositionMuha_sit_on_pautina_and_try_up:AddElement(element)
	element:SetHotSpot(40.5, 34.5)
	element:SetParentElement(compositionMuha_sit_on_pautina_and_try_up)
	element:SetXY(318.25, 225.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.66666666666667)
	effector:SetKey(_TRACK_O, 0.625, 1)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0)
	effector:SetKey(_TRACK_O, 0.95833333333333, 0)
	effector:SetKey(_TRACK_O, 1, 1)
	effector:SetKey(_TRACK_O, 2.41666666666667, 1)
	effector:SetKey(_TRACK_O, 2.45833333333333, 0)
	effector:SetKey(_TRACK_O, 2.75, 0)
	effector:SetKey(_TRACK_O, 2.79166666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."pautinabig.png")
	element:SetName("Layer_5")
	compositionMuha_sit_on_pautina_and_try_up:AddElement(element)
	element:SetHotSpot(170.5, 123.5)
	element:SetParentElement(compositionMuha_sit_on_pautina_and_try_up)
	element:SetXY(317.5, 208.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.66666666666667)
	effector:Play()
 
	compositionMuha_sit_on_pautina_and_try_up:Play()
 
	return compositionMuha_sit_on_pautina_and_try_up
end
 
createCompositionPautina_move_final = function()
	local compositionPautina_move_final = CreateCompositionSequence()
	local compositionDuration = 0.33333333333333
	compositionPautina_move_final:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Pautina_move_final_[].png")
	element:SetName("Layer_1")
	compositionPautina_move_final:AddElement(element)
	element:SetHotSpot(45.5, 38.5)
	element:SetParentElement(compositionPautina_move_final)
	element:SetXY(319.5, 225.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.33333333333333)
	effector:Play()
 
	compositionPautina_move_final:Play()
 
	return compositionPautina_move_final
end
 
